<template>
  <div id="app">
    <demo-error-modal />
    <Tasks
      v-bind:list="[
        {
          title: 'test',
          description: 'test',
          dueDate: new Date().toString()
        },
        {
          title: 'test-1',
          description: 'howdy',
          dueDate: new Date().toString()
        }
      ]"
    />
  </div>
</template>

<script>
import Tasks from "./components/Tasks.vue";
import DemoErrorModal from "./components/modal/DemoErrorModal.vue";
import Vue from "vue";
import VModal from "vue-js-modal";

Vue.use(VModal, {
  dialog: true,
  dynamic: true,
  dynamicDefaults: {
    foo: "foo"
  }
});

export default {
  name: "App",
  components: {
    Tasks,
    DemoErrorModal
  }
};
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
